2024-08-14 20:27:29 UTC
56.5 MB
528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
PHP_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz
PHP_VERSION8.1.29
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.8
[#000] sha256:2585500d54afa42a6b579f9ed6f62b49c5fb21c2653f79194342804bde8770fe - 5.85% (3.31 MB)
[#001] sha256:1c3702ede31b739c37f265c096aaa90041a249a222cf13f8141408974d1da345 - 5.61% (3.17 MB)
[#002] sha256:dd32fd053b31656313ffe5c4d6a711c2bdfbac32689ec3ed4eb1993c89d7c5cf - 0.0% (941 Bytes)
[#003] sha256:c734d1f76ba06cf1de68095cf88223f8aecf6242e60ae0985e4b555bd937308d - 0.0% (223 Bytes)
[#004] sha256:a35ac3c7a6049cbb2c43c3cee3a082c78b920ba2c95a857eec5ddce781382071 - 20.0% (11.3 MB)
[#005] sha256:3699cf6a7dea95ba3951a43f9fc20dd776ad2e27cd5b3879cd0f404e2521b03e - 0.0% (495 Bytes)
[#006] sha256:b3b7df077f9c1a5f393603f12aa08121ada8fc2f47f31800f0b61cbe2d4cd456 - 21.84% (12.3 MB)
[#007] sha256:f4f9284b854b7ba651e4776ad2f7c9a68a1007a43cac9453f0ca79e276b0e326 - 0.0% (2.39 KB)
[#008] sha256:473ae4ce44e894cd868035147f2bafc9fe93aa11bcab02f3e0b695b2e053e19f - 0.03% (19.2 KB)
[#009] sha256:c47f470755c2dd792049ebfbec5841c7d5438911e66c43d8e506c067c9fe0c42 - 0.01% (8.67 KB)
[#010] sha256:345155bea64b5a6941a35f79077b2d3c035cc2615ba0b3da521f4930dcbc119f - 9.22% (5.21 MB)
[#011] sha256:1f1435d80f059b5b6d04dab7eb3d58dc3a65536dd07eb95a637b861a6266dd43 - 26.31% (14.9 MB)
[#012] sha256:4f3dd1ca9fd459bb5d97c4ba715ce2f4a3b18c4c77595ced20a5bb48ae769c1b - 1.23% (709 KB)
[#013] sha256:e2c4121d747aff58132fa370bb810e735093780e2f27745da5504b5e000d77bf - 9.88% (5.58 MB)
[#014] sha256:faa6f7c77db6a235c1c3bdd5f98b10afe4d3fc4b48a35793bc083aac2622769e - 0.0% (1.63 KB)
[#015] sha256:ddea8d987f470789086198e57bf88e5cf0c7d39f55ef3ab13704a9e1f622599c - 0.0% (368 Bytes)
[#016] sha256:b9c8793676c8b4e590174c2df18a061ee3466612b1234e47b482438145b8857c - 0.0% (2.29 KB)
[#017] sha256:bfbfe6642283d6eb6b3f4f4d8bb2cdcf5cdb03aa4faaf5fc20e2daf13af22985 - 0.0% (138 Bytes)
/bin/sh -c #(nop) ADD file:e5b77b9337c5f89df9a65f8c439736a6d79e68274100ab1a1d7d61359a9abf5d in /
2024-07-22 21:38:30 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-07-22 21:58:51 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2024-07-22 21:58:53 UTC/bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz
2024-07-22 21:58:53 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2024-07-22 21:58:53 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-07-22 21:58:54 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-07-22 21:58:54 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 21:58:54 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 21:58:54 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-07-23 01:31:14 UTC/bin/sh -c #(nop) ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
2024-07-23 01:31:14 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.1.29
2024-07-23 01:31:14 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.1.29.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.29.tar.xz.asc
2024-07-23 01:31:14 UTC/bin/sh -c #(nop) ENV PHP_SHA256=288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
2024-07-23 01:31:19 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2024-07-23 01:31:19 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-07-23 01:44:34 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-07-23 01:44:34 UTC/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/
2024-07-23 01:44:36 UTC/bin/sh -c docker-php-ext-enable sodium
2024-07-23 01:44:36 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-07-23 01:44:36 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-07-23 01:44:36 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"
2024-07-23 01:44:37 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2024-07-23 01:44:37 UTC/bin/sh -c #(nop) EXPOSE 9000
2024-07-23 01:44:37 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2024-08-14 20:19:59 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2024-08-14 20:19:59 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit
2024-08-14 20:27:24 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2024-08-14 20:27:24 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2024-08-14 20:27:24 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.8
2024-08-14 20:27:24 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2024-08-14 20:27:28 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2024-08-14 20:27:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2024-08-14 20:27:29 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2024-08-14 20:27:29 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2024-08-14 20:27:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit
2024-08-14 20:27:29 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2024-08-14 20:27:29 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2024-08-14 20:27:13 UTC
56 MB
528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
PHP_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz
PHP_VERSION8.1.29
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.8
[#000] sha256:c6a83fedfae6ed8a4f5f7cbb6a7b6f1c1ec3d86fea8cb9e5ba2e5e6673fde9f6 - 6.17% (3.46 MB)
[#001] sha256:3ae0d9dfc4dada15e6a030ba7b9c9a3b16f9f5a7597a4d46ff24226e91b91db7 - 5.57% (3.12 MB)
[#002] sha256:ce295ca8623e5dc914104e970c5496db996db5f2abb336389bcbadd10465d21d - 0.0% (941 Bytes)
[#003] sha256:60d3eb99f3c122bc8d6c22107602ed9c22fce771289b54bb2598142d1626f693 - 0.0% (223 Bytes)
[#004] sha256:92a72fb3364c73fdcb13e5b695da1fb0dd61d2a964437dca870d61ef6838a6b8 - 20.16% (11.3 MB)
[#005] sha256:f903a35577bead659b898979c823c5131262b09508248b5f96ff93c78ef8b6a9 - 0.0% (498 Bytes)
[#006] sha256:fea1017fadda431a7920bdc852dd88a2274c9fdf960adba7334510669c44eb85 - 21.46% (12 MB)
[#007] sha256:79d5203ef29582462ba7cd947845705116fa0892c917ecc8fb3a8571018ce659 - 0.0% (2.39 KB)
[#008] sha256:2d6f3b18a5996d0f826fc80b0f7e259c8049f3b9a4de9bdc8ba397ad509f8b43 - 0.03% (19.2 KB)
[#009] sha256:c1faccbbd188bccd0d4caf71ac1cf1cb4d0c6ea00792d19d0b49c5db2f822466 - 0.02% (8.67 KB)
[#010] sha256:afd2407ef9da514d90150f551292005170620921ffcadc88a5d7b5c6e4ddeba5 - 9.03% (5.06 MB)
[#011] sha256:9496092f8151b79b5c8d9006b9c32e54e49a9c371ea4997466b06af8c0212359 - 26.35% (14.8 MB)
[#012] sha256:2b41143c72f036e4c6cbbdecded0c42c4ea0628d953a29ab2fdf07afa73733e0 - 1.24% (709 KB)
[#013] sha256:85a2daac02e102a6ff21cb8064490a6b12a04528c34a1f8464d39a3988a08515 - 9.96% (5.58 MB)
[#014] sha256:514d22096ed72e0bd393e4c6b26f4af6e6fb233b9e9dab37f9226747a38d1191 - 0.0% (1.63 KB)
[#015] sha256:99f0e2f3a3b1a1f0cb7cd6064296edae54dc62c60bc705d1a6555fc71ec7bb9d - 0.0% (366 Bytes)
[#016] sha256:b9c8793676c8b4e590174c2df18a061ee3466612b1234e47b482438145b8857c - 0.0% (2.29 KB)
[#017] sha256:5d424d28cab18a7c4cd0eb815d63597aad81031dd8a4bc22b22790ac5f0db9e3 - 0.0% (139 Bytes)
/bin/sh -c #(nop) ADD file:99093095d62d0421541d882f9ceeddb2981fe701ec0aa9d2c08480712d5fed21 in /
2024-07-22 22:26:43 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-07-23 01:21:12 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2024-07-23 01:21:14 UTC/bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz
2024-07-23 01:21:14 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2024-07-23 01:21:14 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-07-23 01:21:15 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-07-23 01:21:15 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-23 01:21:15 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-23 01:21:15 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-07-23 03:28:00 UTC/bin/sh -c #(nop) ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
2024-07-23 03:28:00 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.1.29
2024-07-23 03:28:00 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.1.29.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.29.tar.xz.asc
2024-07-23 03:28:00 UTC/bin/sh -c #(nop) ENV PHP_SHA256=288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
2024-07-23 03:28:05 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2024-07-23 03:28:05 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-07-23 03:35:59 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-07-23 03:36:00 UTC/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/
2024-07-23 03:36:01 UTC/bin/sh -c docker-php-ext-enable sodium
2024-07-23 03:36:01 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-07-23 03:36:01 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-07-23 03:36:02 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"
2024-07-23 03:36:02 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2024-07-23 03:36:02 UTC/bin/sh -c #(nop) EXPOSE 9000
2024-07-23 03:36:02 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit
2024-08-14 20:27:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2024-08-14 20:27:07 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2024-08-14 20:27:07 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.8
2024-08-14 20:27:07 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2024-08-14 20:27:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2024-08-14 20:27:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2024-08-14 20:27:12 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2024-08-14 20:27:12 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2024-08-14 20:27:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit
2024-08-14 20:27:13 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2024-08-14 20:27:13 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2024-08-14 21:15:12 UTC
53.6 MB
528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
PHP_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz
PHP_VERSION8.1.29
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.8
[#000] sha256:ae2458422e4465e718700cd0c5970c709804ded4caa7b7f317eada5d16878e29 - 5.98% (3.21 MB)
[#001] sha256:b041a1a670328abed5fe2b73e068aba477e969ddbfe65c606c8054a4c36067b2 - 5.8% (3.11 MB)
[#002] sha256:a51daa6109cd19af541c6fc2600ad5a2f2382e50d3938e2b51f30d24df583fee - 0.0% (942 Bytes)
[#003] sha256:0b57c8706e4f06f42a10294d5c9eef985613e48298dedb390c6e6816b60a8f78 - 0.0% (222 Bytes)
[#004] sha256:7bf93de61e35babe0a6323ab894a6c16bb734d7526a4350782d7f0566838fb1b - 21.06% (11.3 MB)
[#005] sha256:0cace6bb4c1462e21f963a1bbc551e2ea3fa87903b850a5fc7a4159e2548291e - 0.0% (494 Bytes)
[#006] sha256:7597437bf208ecf10c9c19f280251f02e164d617a408f6fd93debc1808804b6d - 20.33% (10.9 MB)
[#007] sha256:36e8e9229bf40bffd22d16366806c7adc0ff84234aec7ed6f96e20d07d34c54d - 0.0% (2.39 KB)
[#008] sha256:0883622889dd1eaaf5d640ce80897009de07037975e969ad645b353099a19208 - 0.03% (19 KB)
[#009] sha256:fecaa3cc6ee14eebadd2646f6c193b81773f915aabfadd3e8327887dca767d4c - 0.02% (8.67 KB)
[#010] sha256:e247a9dbd6bcfcb967025105545c0eb86fad0aa9f626236ed5ac0ff7ed904b32 - 9.44% (5.06 MB)
[#011] sha256:212b180ac87e3d4d6e604bc099f22c39ce73e9612e0bbc2ea3a7f4c148a93b2e - 25.61% (13.7 MB)
[#012] sha256:9bdd267071fa24b88ca763e76452c40df8f9f10928b27fa2d2624a43ac5804c1 - 1.29% (709 KB)
[#013] sha256:166c86d6895d60c0628e9b50a77f886f5a5b51a88a09a8d221d86b8e0578d232 - 10.41% (5.58 MB)
[#014] sha256:70c7cf74e8a92875fd3d171b175958a0207796ff7cf4f7fb87904144e62c6deb - 0.0% (1.63 KB)
[#015] sha256:e4d348de45190002cebd439dfcb1b53007cbf2b43dc41a44daf75fc0fd403907 - 0.0% (368 Bytes)
[#016] sha256:b9c8793676c8b4e590174c2df18a061ee3466612b1234e47b482438145b8857c - 0.0% (2.29 KB)
[#017] sha256:7204550f0c6426a206691067ba6ad84883c77a67f144121bfe3dc9f2edea8139 - 0.0% (139 Bytes)
/bin/sh -c #(nop) ADD file:85f927c1895bee1d0b095b2905c8d47ada8773f13e03fd4a201f718103ef7958 in /
2024-07-22 21:49:19 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-07-22 22:16:41 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2024-07-22 22:16:43 UTC/bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz
2024-07-22 22:16:44 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2024-07-22 22:16:44 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-07-22 22:16:44 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-07-22 22:16:44 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 22:16:45 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 22:16:45 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-07-23 00:30:38 UTC/bin/sh -c #(nop) ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
2024-07-23 00:30:38 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.1.29
2024-07-23 00:30:39 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.1.29.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.29.tar.xz.asc
2024-07-23 00:30:39 UTC/bin/sh -c #(nop) ENV PHP_SHA256=288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
2024-07-23 00:30:45 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2024-07-23 00:30:46 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-07-23 00:39:05 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-07-23 00:39:06 UTC/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/
2024-07-23 00:39:07 UTC/bin/sh -c docker-php-ext-enable sodium
2024-07-23 00:39:07 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-07-23 00:39:08 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-07-23 00:39:09 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"
2024-07-23 00:39:09 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2024-07-23 00:39:09 UTC/bin/sh -c #(nop) EXPOSE 9000
2024-07-23 00:39:10 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit
2024-08-14 21:14:55 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2024-08-14 21:14:55 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2024-08-14 21:14:55 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.8
2024-08-14 21:14:55 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2024-08-14 21:15:11 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2024-08-14 21:15:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2024-08-14 21:15:12 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2024-08-14 21:15:12 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2024-08-14 21:15:12 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit
2024-08-14 21:15:12 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2024-08-14 21:15:12 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2024-08-14 21:15:53 UTC
52.1 MB
528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
PHP_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz
PHP_VERSION8.1.29
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.8
[#000] sha256:9c6652a37da7fb600faac56897745bdde89a4f9bd260a082b6bf4a0d173b5906 - 5.67% (2.95 MB)
[#001] sha256:f57db3d4836535044109c42cf341df21ab1def6a06fecbaf98ffac833b47f15b - 5.63% (2.93 MB)
[#002] sha256:7991e70be4838afae3979e2bef4b2a7682dffac44793431e072ffbc9fc1686e5 - 0.0% (943 Bytes)
[#003] sha256:3967a6fef2cedd5f47096963a74875b542f5e4f6667543712aa16505b281dcf7 - 0.0% (223 Bytes)
[#004] sha256:83bc94e678062643a39f85032f7b45eeb628327b3edd2a8cc3e67bf6b9d81983 - 21.71% (11.3 MB)
[#005] sha256:41ad61fca5741fa46b3b017bec08e294b68f4cb0133e446df523de2023f4e9a0 - 0.0% (495 Bytes)
[#006] sha256:7a8dd653f6cafa340afbe207a7a62f90b0a32859edcde3b5e48966157a9b3dc5 - 19.65% (10.2 MB)
[#007] sha256:5e932250a661f75645f1924004184bcda0199b7c059834ec675f0cc48caa9055 - 0.0% (2.39 KB)
[#008] sha256:d0ac85dd08391a243854814c0157b00cc667e8b280a0c846c487e31164940a29 - 0.04% (19 KB)
[#009] sha256:92455bebadbed6d1131bd422636d9991d97130ff44f535d13a0666322831c6ee - 0.02% (8.67 KB)
[#010] sha256:cca1f3852d339044a7ea8cfdb05eed00e84bfb27eda1551d545be155b22eda77 - 9.27% (4.82 MB)
[#011] sha256:dc3b1995dc2c8b2505f542f9e421a3ec172309733711cdb0a7dd887e7976a6c3 - 25.96% (13.5 MB)
[#012] sha256:7d282954ee8802fc72e1a34871882428cb86921996aa804a2c17cc1b9fcaa1e1 - 1.33% (709 KB)
[#013] sha256:998bc00a2b2dcfce6d3d38b64bdab154e353083a0e45c1c4cb2d811b7bfa1c3e - 10.73% (5.58 MB)
[#014] sha256:7cbeda1ffb4cdfdc2c207c0ef7c030df5edfd617c89fef86a6a67c9d57557d0f - 0.0% (1.63 KB)
[#015] sha256:21440dcdf1bde66b292fa8ae8855f32d849e4b80c5c9dcf50b7d2e12d9c023ae - 0.0% (369 Bytes)
[#016] sha256:b9c8793676c8b4e590174c2df18a061ee3466612b1234e47b482438145b8857c - 0.0% (2.29 KB)
[#017] sha256:63983a09a0c5b63a79bef7f698008e8288bdd636cdf82b9ddbd972d87c9f8a7d - 0.0% (138 Bytes)
/bin/sh -c #(nop) ADD file:816da1ff7b962e1f52c650dfd66caeb2b88f3ab9fadc249c30f86ebe5372538c in /
2024-07-22 21:59:47 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-07-22 22:31:24 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2024-07-22 22:31:27 UTC/bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz
2024-07-22 22:31:28 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2024-07-22 22:31:28 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-07-22 22:31:30 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-07-22 22:31:30 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 22:31:30 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 22:31:30 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-07-23 00:47:29 UTC/bin/sh -c #(nop) ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
2024-07-23 00:47:29 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.1.29
2024-07-23 00:47:29 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.1.29.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.29.tar.xz.asc
2024-07-23 00:47:29 UTC/bin/sh -c #(nop) ENV PHP_SHA256=288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
2024-07-23 00:47:35 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2024-07-23 00:47:36 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-07-23 00:55:28 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-07-23 00:55:29 UTC/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/
2024-07-23 00:55:31 UTC/bin/sh -c docker-php-ext-enable sodium
2024-07-23 00:55:31 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-07-23 00:55:31 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-07-23 00:55:32 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"
2024-07-23 00:55:33 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2024-07-23 00:55:33 UTC/bin/sh -c #(nop) EXPOSE 9000
2024-07-23 00:55:33 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit
2024-08-14 21:15:45 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2024-08-14 21:15:45 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2024-08-14 21:15:45 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.8
2024-08-14 21:15:45 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2024-08-14 21:15:52 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2024-08-14 21:15:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2024-08-14 21:15:53 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2024-08-14 21:15:53 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2024-08-14 21:15:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit
2024-08-14 21:15:53 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2024-08-14 21:15:53 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2024-08-14 21:17:30 UTC
56.6 MB
528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
PHP_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz
PHP_VERSION8.1.29
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.8
[#000] sha256:690e87867337b8441990047e169b892933e9006bdbcbed52ab7a356945477a4d - 6.89% (3.9 MB)
[#001] sha256:f069fb86c015646c4497d6fa3beaf8bd3f9f04d8f77a1a865ff47fc9922c27e3 - 5.61% (3.17 MB)
[#002] sha256:298458c1fe168646ba7edf3e03804ff1a01f1fac6b41ef2a94ef5bf333311f2b - 0.0% (941 Bytes)
[#003] sha256:9f71c5e072e5141e780c5bbd4c1e2a34f9248a4b4a0983717a6c98be7560b899 - 0.0% (221 Bytes)
[#004] sha256:8c04a55379eb9dbbd9908eed1b96ea090dbe15fa3fd1844c323c1abfbd408beb - 19.98% (11.3 MB)
[#005] sha256:9731bbc750c010e152b6f7710405ad6df8e69e94cecc3124028659a19addd33a - 0.0% (497 Bytes)
[#006] sha256:753e25077ebcac1ef49ca687c09c584fe6b0662f8ccfd07c17e6168362436bf0 - 21.35% (12.1 MB)
[#007] sha256:3b8ec9c07f0849b40f6dbb31f91cf1bab26675659f9aadd152ff1627d2d030f0 - 0.0% (2.39 KB)
[#008] sha256:51765428fcbc1177bf4ef00948e77b6d876542d2e50ffcc4ef4a6a94df9ee199 - 0.03% (19 KB)
[#009] sha256:d2508d5e8a49a8355f28332e61858c0cf0895d4301dc4395563b9fee086776ae - 0.01% (8.67 KB)
[#010] sha256:f4f32973ee22b7849e08d0f6212a20dafbe3128eea8d22d6d43a1936d2e2c1c5 - 9.19% (5.2 MB)
[#011] sha256:54435bc4149e8a05c01c09835dfae931237f63919af725a260a6cceddc070350 - 25.82% (14.6 MB)
[#012] sha256:e50b4d0d08ad16ecb031d988d5ae11b2314eb4440b323c43548ffba4f2d5c3e2 - 1.22% (709 KB)
[#013] sha256:8c2d8850318c4df16311d2ad37b6d7072e2efb14f12b07fb7c3d32d871f08565 - 9.87% (5.58 MB)
[#014] sha256:8345699b91b235f9d9593714c3f7e69aa8c66f3f3f415b772a3db4a34a23d9d7 - 0.0% (1.63 KB)
[#015] sha256:c448d34fdb026a1156b699aac7c85c62cafef09fed48751f9fb41c5b64ac36aa - 0.0% (367 Bytes)
[#016] sha256:b9c8793676c8b4e590174c2df18a061ee3466612b1234e47b482438145b8857c - 0.0% (2.29 KB)
[#017] sha256:e1348d3629138312a0f0d644f5ab736fd9a79386b1318268fa53045260ce7f40 - 0.0% (137 Bytes)
/bin/sh -c #(nop) ADD file:a71f7e9bc66668361f88637c724c44deeb2774ec268ff0a68bd99014c8a02a84 in /
2024-07-22 21:44:13 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-07-22 23:30:30 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2024-07-22 23:30:31 UTC/bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz
2024-07-22 23:30:31 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2024-07-22 23:30:32 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-07-22 23:30:32 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-07-22 23:30:32 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 23:30:32 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 23:30:32 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-07-23 01:33:15 UTC/bin/sh -c #(nop) ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
2024-07-23 01:33:15 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.1.29
2024-07-23 01:33:15 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.1.29.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.29.tar.xz.asc
2024-07-23 01:33:15 UTC/bin/sh -c #(nop) ENV PHP_SHA256=288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
2024-07-23 01:33:20 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2024-07-23 01:33:20 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-07-23 01:41:13 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-07-23 01:41:13 UTC/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/
2024-07-23 01:41:14 UTC/bin/sh -c docker-php-ext-enable sodium
2024-07-23 01:41:15 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-07-23 01:41:15 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-07-23 01:41:15 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"
2024-07-23 01:41:15 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2024-07-23 01:41:15 UTC/bin/sh -c #(nop) EXPOSE 9000
2024-07-23 01:41:15 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2024-08-14 20:20:07 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2024-08-14 20:20:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit
2024-08-14 21:17:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2024-08-14 21:17:21 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2024-08-14 21:17:21 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.8
2024-08-14 21:17:21 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2024-08-14 21:17:29 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2024-08-14 21:17:30 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2024-08-14 21:17:30 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2024-08-14 21:17:30 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2024-08-14 21:17:30 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit
2024-08-14 21:17:30 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2024-08-14 21:17:30 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2024-08-14 21:15:23 UTC
56.9 MB
528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
PHP_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz
PHP_VERSION8.1.29
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.8
[#000] sha256:6e59b4988c495782a5b0c8f8d6698931851c16c5c0fc5ef09cbb0637ade56e36 - 5.99% (3.41 MB)
[#001] sha256:3f3b3ac21bbea54c953ea1f2d18929d69c201c50acbb70a6157944a16d881644 - 5.7% (3.24 MB)
[#002] sha256:b2ab89bd2c65997355b0f8d6c170e8ada77fc5d87ae04f4e525032aad1d1c519 - 0.0% (942 Bytes)
[#003] sha256:4d9ea05d06440c67793ed8359925d4dcf5e15c76e0e78b5d20fad34b553a253f - 0.0% (222 Bytes)
[#004] sha256:554fcd6e955182468c4aaa094b2232f56f83b5fdc658477de462a4661b0d057b - 19.85% (11.3 MB)
[#005] sha256:0f755a3030bb287687ed4c4d502cb826fcda3bca9e8b72c12ec837e46ad278fd - 0.0% (493 Bytes)
[#006] sha256:c231cbcdde7e1b5947f6831df0b7b71f030143afe47b5d9ee99e648c6dcd7dd5 - 21.88% (12.5 MB)
[#007] sha256:bafc39004ad0a87c7d07147cafd1f260a4a783c4bf3faabe0ee01ae1e04e6d2b - 0.0% (2.39 KB)
[#008] sha256:89a11abc2d438b9adaa71f3980d45f7f32cd9633255bb70dfb9e1f320a87b9a5 - 0.03% (19 KB)
[#009] sha256:c1755e919d80bcb8006952d30b656ff2df2ec723ff3a80e99c8e8f4af710a3ce - 0.01% (8.67 KB)
[#010] sha256:e06cf42e9b81615e0dfc28e1c33e7e9b5a6cd3f5e6c8ce653615b059ebdbeb8f - 9.35% (5.32 MB)
[#011] sha256:fc5b41c2ace162e07fcaaef78ccf764a1747e87660cdf7ff225dad226ccd383c - 26.15% (14.9 MB)
[#012] sha256:5e6ba48721eeb4b9f1cf89345a0071964e440eab8062c9163a5b1580198df2e9 - 1.22% (709 KB)
[#013] sha256:5f3b9179bdfef22fa10f317e737f6877bcc3afae0f6ed271fdd94a01fc2051c5 - 9.81% (5.58 MB)
[#014] sha256:a2a7a00115fcc0f1fd83185f3200e769dbba037ea23df1c718e74e298c22bf76 - 0.0% (1.63 KB)
[#015] sha256:c4bed84665e391362c27cc298e70aa6e2e485ee0250b2ea905ca97d6462bdf6d - 0.0% (367 Bytes)
[#016] sha256:b9c8793676c8b4e590174c2df18a061ee3466612b1234e47b482438145b8857c - 0.0% (2.29 KB)
[#017] sha256:3b8a5e890e82c7ad388aab7c27e48c402b77f0640a87fcb711361b30c4f11367 - 0.0% (139 Bytes)
/bin/sh -c #(nop) ADD file:9fcad21b83b7efd6ef267ba714c3ef5a8d4d2064a0bdf528cbb17d0c3388f03f in /
2024-07-22 21:26:22 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-07-22 21:55:07 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2024-07-22 21:55:10 UTC/bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz
2024-07-22 21:55:11 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2024-07-22 21:55:11 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-07-22 21:55:13 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-07-22 21:55:13 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 21:55:14 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 21:55:14 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-07-22 23:22:40 UTC/bin/sh -c #(nop) ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
2024-07-22 23:22:40 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.1.29
2024-07-22 23:22:41 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.1.29.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.29.tar.xz.asc
2024-07-22 23:22:41 UTC/bin/sh -c #(nop) ENV PHP_SHA256=288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
2024-07-22 23:22:46 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2024-07-22 23:22:47 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-07-22 23:27:48 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-07-22 23:27:48 UTC/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/
2024-07-22 23:27:50 UTC/bin/sh -c docker-php-ext-enable sodium
2024-07-22 23:27:51 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-07-22 23:27:51 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-07-22 23:27:52 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"
2024-07-22 23:27:53 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2024-07-22 23:27:53 UTC/bin/sh -c #(nop) EXPOSE 9000
2024-07-22 23:27:53 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2024-08-14 20:20:04 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit
2024-08-14 21:15:07 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2024-08-14 21:15:07 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2024-08-14 21:15:07 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.8
2024-08-14 21:15:07 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2024-08-14 21:15:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2024-08-14 21:15:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]
2024-08-14 21:15:23 UTC
56.2 MB
528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
PHP_ASC_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz.asc
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -pie
PHP_SHA256288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
PHP_URLhttps://www.php.net/distributions/php-8.1.29.tar.xz
PHP_VERSION8.1.29
ROUNDCUBEMAIL_KEYIDF3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
ROUNDCUBEMAIL_VERSION1.6.8
[#000] sha256:834c666d55eae0e308600077be061a01680e7cd02b579be887d9469075f0d943 - 5.88% (3.3 MB)
[#001] sha256:3bee85c5a5fc33ed0d0f61a077ed76c922b87c42c5cb3a4dbba408dd62a64def - 5.89% (3.31 MB)
[#002] sha256:7d1505ad7d669e91b715e2a1bc7ec0c52dd53433332ad45653571cbe2c3643d5 - 0.0% (941 Bytes)
[#003] sha256:87d87c5417e12df9b44287d4f554dd37d0b5b446d100409e5c49a17ac509a5b2 - 0.0% (220 Bytes)
[#004] sha256:de7da097b0b929fc90886558136ab98b79ce907ba5a1c4973be4aa3c4e2f7bab - 20.12% (11.3 MB)
[#005] sha256:5efead6547bce2445a3b609037f8b97b7e7bf0622fb84835c486d7b78b4badf4 - 0.0% (496 Bytes)
[#006] sha256:d5c956dfd14e2f0f7d3cfc1fb23142edcaa8e88f624940bbafa8cacd0c5fd148 - 21.31% (12 MB)
[#007] sha256:2912429d76ce36a2823c5b2ee8388d6eee0a85e2348cbcab0d4ecdf644be130c - 0.0% (2.39 KB)
[#008] sha256:4cdb40e251bc16265bae8a379da91f75f536ca5238e0dd5fe2af37f7027545ca - 0.03% (19 KB)
[#009] sha256:191bfb8c52e119495f6bb04e2769ab00becf4fd302e7ba48895f41b3d70dddd6 - 0.02% (8.67 KB)
[#010] sha256:a1440a7d9ff2ad6050d50e12c2b26cdf68e37876699db39a5d14aa31c498f060 - 9.62% (5.4 MB)
[#011] sha256:2d96fc7f952004045171e6e2ea57a0af28592161161eee60c7581b2e8dbb2c65 - 25.95% (14.6 MB)
[#012] sha256:21dd44361d4fb6a83bbeb5d84c0bbb177d9e55d9f4aa741b51014b5ddf9c37f8 - 1.23% (709 KB)
[#013] sha256:0e2ef2d546dfbe5ca222b0e3bd2e4d7c4366b1e03197e1a9e3fb95ab7d1e1899 - 9.94% (5.58 MB)
[#014] sha256:2c7c46f51bdfeca963bfd9d3d6c1bca4d9d8a979a966e557ed60c739f4701f08 - 0.0% (1.63 KB)
[#015] sha256:46e74e2fa28700bcd3a3d36a1ee74a8f30c43aabd47b743500c479f4e07a1635 - 0.0% (367 Bytes)
[#016] sha256:b9c8793676c8b4e590174c2df18a061ee3466612b1234e47b482438145b8857c - 0.0% (2.29 KB)
[#017] sha256:3b8a5e890e82c7ad388aab7c27e48c402b77f0640a87fcb711361b30c4f11367 - 0.0% (139 Bytes)
/bin/sh -c #(nop) ADD file:63d382fb7a431c57868274a368a659bde32a60ae0cd05c8af34c3d6a57066a77 in /
2024-07-22 21:50:07 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-07-22 22:33:31 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev dpkg file g++ gcc libc-dev make pkgconf re2c
2024-07-22 22:33:35 UTC/bin/sh -c apk add --no-cache ca-certificates curl openssl tar xz
2024-07-22 22:33:37 UTC/bin/sh -c set -eux; adduser -u 82 -D -S -G www-data www-data
2024-07-22 22:33:37 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2024-07-22 22:33:39 UTC/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 1777 /var/www/html
2024-07-22 22:33:40 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 22:33:40 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
2024-07-22 22:33:41 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -pie
2024-07-23 00:34:44 UTC/bin/sh -c #(nop) ENV GPG_KEYS=528995BFEDFBA7191D46839EF9BA0ADA31CBD89E 39B641343D8C104B2B146DC3F9C39DC0B9698544 F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD
2024-07-23 00:34:44 UTC/bin/sh -c #(nop) ENV PHP_VERSION=8.1.29
2024-07-23 00:34:44 UTC/bin/sh -c #(nop) ENV PHP_URL=https://www.php.net/distributions/php-8.1.29.tar.xz PHP_ASC_URL=https://www.php.net/distributions/php-8.1.29.tar.xz.asc
2024-07-23 00:34:44 UTC/bin/sh -c #(nop) ENV PHP_SHA256=288884af60581d4284baba2ace9ca6d646f72facbd3e3c2dd2acc7fe6f903536
2024-07-23 00:34:48 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .fetch-deps gnupg; mkdir -p /usr/src; cd /usr/src; curl -fsSL -o php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then curl -fsSL -o php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apk del --no-network .fetch-deps
2024-07-23 00:34:49 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2024-07-23 00:40:43 UTC/bin/sh -c set -eux; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS argon2-dev coreutils curl-dev gnu-libiconv-dev libsodium-dev libxml2-dev linux-headers oniguruma-dev openssl-dev readline-dev sqlite-dev ; rm -vf /usr/include/iconv.h; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" PHP_BUILD_PROVIDER='https://github.com/docker-library/php' PHP_UNAME='Linux - Docker' ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --with-pic --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-pdo-sqlite=/usr --with-sqlite3=/usr --with-curl --with-iconv=/usr --with-openssl --with-readline --with-zlib --disable-phpdbg --with-pear $(test "$gnuArch" = 'riscv64-linux-musl' && echo '--without-pcre-jit') --disable-cgi --enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local -type f -perm '/0111' -exec sh -euxc ' strip --strip-all "$@" || : ' -- '{}' + ; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --no-cache $runDeps; apk del --no-network .build-deps; pecl update-channels; rm -rf /tmp/pear ~/.pearrc; php --version
2024-07-23 00:40:44 UTC/bin/sh -c #(nop) COPY multi:869bde9dbeae74886a05c9e2107b3e3b4877116db8c6d9adbaff2719f9fb5262 in /usr/local/bin/
2024-07-23 00:40:45 UTC/bin/sh -c docker-php-ext-enable sodium
2024-07-23 00:40:45 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2024-07-23 00:40:46 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2024-07-23 00:40:46 UTC/bin/sh -c set -eux; cd /usr/local/etc; if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi; { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; php-fpm closes STDOUT on startup, so sending logs to /proc/self/fd/1 does not work.'; echo '; https://bugs.php.net/bug.php?id=73886'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf; { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf; mkdir -p "$PHP_INI_DIR/conf.d"; { echo '; https://github.com/docker-library/php/issues/878#issuecomment-938595965'; echo 'fastcgi.logging = Off'; } > "$PHP_INI_DIR/conf.d/docker-fpm.ini"
2024-07-23 00:40:46 UTC/bin/sh -c #(nop) STOPSIGNAL SIGQUIT
2024-07-23 00:40:46 UTC/bin/sh -c #(nop) EXPOSE 9000
2024-07-23 00:40:46 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2024-08-14 20:20:10 UTC (buildkit.dockerfile.v0)LABEL maintainer=Thomas Bruederli <[email protected]>
2024-08-14 20:20:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache bash coreutils rsync tzdata aspell aspell-en unzip # buildkit
2024-08-14 21:15:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .build-deps $PHPIZE_DEPS icu-dev freetype-dev imagemagick-dev libjpeg-turbo-dev libpng-dev libzip-dev libtool openldap-dev postgresql-dev sqlite-dev aspell-dev ; docker-php-ext-configure gd --with-jpeg --with-freetype; docker-php-ext-configure ldap; docker-php-ext-install exif gd intl ldap pdo_mysql pdo_pgsql pdo_sqlite zip pspell ; pecl install imagick redis; docker-php-ext-enable imagick opcache redis; runDeps="$( scanelf --needed --nobanner --format '%n#p' --recursive /usr/local/lib/php/extensions | tr ',' '\n' | sort -u | awk 'system("[ -e /usr/local/lib/" $1 " ]") == 0 { next } { print "so:" $1 }' )"; apk add --virtual .roundcubemail-phpext-rundeps imagemagick $runDeps; apk del .build-deps # buildkit
2024-08-14 21:15:06 UTC (buildkit.dockerfile.v0)COPY /usr/bin/composer /usr/bin/composer # buildkit
2024-08-14 21:15:06 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_VERSION=1.6.8
2024-08-14 21:15:06 UTC (buildkit.dockerfile.v0)ENV ROUNDCUBEMAIL_KEYID=F3E4 C04B B3DB 5D42 15C4 5F7F 5AB2 BAA1 41C4 F7D5
2024-08-14 21:15:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps gnupg ; curl -o roundcubemail.tar.gz -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz; curl -o roundcubemail.tar.gz.asc -fSL https://github.com/roundcube/roundcubemail/releases/download/${ROUNDCUBEMAIL_VERSION}/roundcubemail-${ROUNDCUBEMAIL_VERSION}-complete.tar.gz.asc; export GNUPGHOME="$(mktemp -d)"; echo "disable-ipv6" > "$GNUPGHOME/dirmngr.conf"; curl -fSL https://roundcube.net/download/pubkey.asc -o /tmp/pubkey.asc; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o 'Key fingerprint') != 1 ]; then echo 'The key file should contain only one GPG key'; exit 1; fi; LC_ALL=C.UTF-8 gpg -n --show-keys --with-fingerprint --keyid-format=long /tmp/pubkey.asc | if [ $(grep -c -o "${ROUNDCUBEMAIL_KEYID}") != 1 ]; then echo 'The key ID should be the roundcube one'; exit 1; fi; gpg --batch --import /tmp/pubkey.asc; rm /tmp/pubkey.asc; gpg --batch --verify roundcubemail.tar.gz.asc roundcubemail.tar.gz; gpgconf --kill all; mkdir /usr/src/roundcubemail; tar -xf roundcubemail.tar.gz -C /usr/src/roundcubemail --strip-components=1 --no-same-owner; rm -r "$GNUPGHOME" roundcubemail.tar.gz.asc roundcubemail.tar.gz; rm -rf /usr/src/roundcubemail/installer; chown -R www-data:www-data /usr/src/roundcubemail/logs; apk del .fetch-deps # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c curl -fL https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh > /wait-for-it.sh && chmod +x /wait-for-it.sh # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)COPY php.ini /usr/local/etc/php/conf.d/roundcube-defaults.ini # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)COPY --chmod=0755 docker-entrypoint.sh / # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir -p /var/roundcube/config # buildkit
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/docker-entrypoint.sh"]
2024-08-14 21:15:23 UTC (buildkit.dockerfile.v0)CMD ["php-fpm"]